- Qt 5.15
- Qt 3D
- C++ Classes
- QStaticPropertyValueRemovedChangeBase
- Qt 5.15.18 Reference Documentation

# QStaticPropertyValueRemovedChangeBase Class

class Qt3DCore::QStaticPropertyValueRemovedChangeBase

The QStaticPropertyValueRemovedChangeBase class is the base class for all static PropertyValueRemoved QSceneChange events. More...

Header: | #include <Qt3DCore/QStaticPropertyValueRemovedChangeBase>
qmake: | QT += 3dcore
Since: | Qt 5.7
Inherits: | Qt3DCore::QPropertyValueRemovedChangeBase
Inherited By: | Qt3DCore::QPropertyNodeRemovedChange and Qt3DCore::QPropertyValueRemovedChange

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Public Functions

const char * | propertyName() const
void | setPropertyName(const char *name)

## Protected Functions

| QStaticPropertyValueRemovedChangeBase(QNodeId subjectId)

## Detailed Description

## Member Function Documentation

### `[protected]` QStaticPropertyValueRemovedChangeBase::QStaticPropertyValueRemovedChangeBase(QNodeId subjectId)

Constructs a new QStaticPropertyValueRemovedChangeBase with subjectId

### const char *QStaticPropertyValueRemovedChangeBase::propertyName() const

Returns name of the property.

See also setPropertyName().

### void QStaticPropertyValueRemovedChangeBase::setPropertyName(const char *name)

Sets the property change name.

See also propertyName().